package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsApplyTypeEnum implements BaseEnum, IEnum<Integer> {
    NORMAL("0","普通申请"),
    URGENCY("1","急件申请"),
    BAK("2","备件申请"),;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

    @Override
    public Integer getValue() {
        return Integer.parseInt(key);
    }
}
